Subject: [sipcore] Re: draft-jesske-update-p-visited-network-07.txt
From: "Charles Eckel (eckelcu)" <[email-masked]>
To: "[email-masked]" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Tue, 11 Jun 2024 23:32:34 +0000
List-Id: SIP Core Working Group <sipcore.ietf.org>

Hi Roland,

Thanks for submitted and sharing both the baseline and the version with the intended changes.
I do not have any technical concerns with the changes, but I do have a couple editorial suggestions.

Section 2.2
---
OLD
Modify statement that P-Visited-Network-ID header field can appear in all non 100 (Trying) responses.

NEW
Add statement that P-Visited-Network-ID header field can appear in all non 100 (Trying) responses.
—

I suggest this because no statement about responses existing previously, so a statement is added rather than modified. 

Section 3
---
OLD
The P-Visited-Network-ID header field can appear in all SIP methods except ACK, BYE, CANCEL, NOTIFY, PRACK, INFO, UPDATE and in any SIP non-100 response message .  The P-Visited-Network-ID header field is not needed in the 100 (Trying) responses, since they are transmitted hop by hop, not end to end.

NEW
The P-Visited-Network-ID header field can appear in all SIP methods and non-100 responses, except ACK, BYE, CANCEL, NOTIFY, PRACK, INFO, and UPDATE.
—

I suggest this wording because it aligns with that in RFC 7976 for P-Access-Network-Info, P-Charging-Vector, and P-Charging-Function-Addresses. Justification for not including in 100 responses seems unnecessary and is not provided for the other P-headers in RFC 7976, so for consistency here as well I think it is best to leave it out for P-Visited-Network-ID.

Cheers,
Charles

> On Apr 9, 2024, at 5:14 AM, [email-masked] wrote:
> 
> Dear all,
> now it is done I have created two versions and calld it draft-ietf-sipcore-rfc7976bis-00 as basline Version and draft-ietf-sipcore-rfc7976bis-01 with the intended changes.
> 
> Link to 00 Version:
> :      https://www.ietf.org/archive/id/draft-sipcore-rfc7976bis-00.txt
> 
> Link to 01 Version
> :      https://www.ietf.org/archive/id/draft-sipcore-rfc7976bis-01.txt
> 
> 
> For any comment I would be happy that we can proceed this work to be done.
> As discussed it concerns one change which is a dependency in 3GPP.
> 
> Thank you and Best Regards
> 
> Roland
> 
> -----Ursprüngliche Nachricht-----
> Von: sipcore <[email-masked]> Im Auftrag von Paul Kyzivat
> Gesendet: Donnerstag, 4. Januar 2024 17:43
> An: [email-masked]
> Betreff: Re: [sipcore] draft-jesske-update-p-visited-network-07.txt
> 
> I support this.
> 
> Thanks for calling for it to be done as a bis. I would further suggest that the bis be done in two distinct versions. The initial version should be functionally identical to rfc7976. Then the next version should include all the desired changes. Doing it this way will help reviewers (and implementers) to easily see what is really new without being distracted by all the boilerplate and formatting changes needed just bring the old rfc up to current conventions.
> 
>        Thanks,
>        Paul
> 
> On 1/3/24 8:05 PM, Brian Rosen wrote:
>> <As chair>
>> This message starts a two week call for adoption of the draft, with
>> the intention that it will be reworked as needed and re-named to rfc7976bis.
>>  Please send comments to the list.
>> 
>> Roland, assuming the WG agrees to adopt the draft, we will ask you to
>> submit it as draft-ietf-sipcore-rfc7976bis-00.  We will also ask you
>> to make sure that the errata identified in 7976 are addressed.  The
>> data tracker will note the prior versions correctly once we set it up.
>> 
>> Brian
>> 
>>> On Dec 29, 2023, at 4:17 AM, [email-masked] wrote:
>>> 
>>> Dear all,
>>> I have uploaded a new version.
>>> URL:
>>> https://www.ietf.org/archive/id/draft-jesske-update-p-visited-network
>>> -07.txt
>>> <https://www.ietf.org/archive/id/draft-jesske-update-p-visited-networ
>>> k-07.txt>
>>> Status:
>>> https://datatracker.ietf.org/doc/draft-jesske-update-p-visited-networ
>>> k/
>>> <https://datatracker.ietf.org/doc/draft-jesske-update-p-visited-netwo
>>> rk/>
>>> HTMLized:https://datatracker.ietf.org/doc/html/draft-jesske-update-p-
>>> visited-network
>>> <https://datatracker.ietf.org/doc/html/draft-jesske-update-p-visited-
>>> network>
>>> Diff:
>>> https://author-tools.ietf.org/iddiff?url2=draft-jesske-update-p-visit
>>> ed-network-07
>>> <https://author-tools.ietf.org/iddiff?url2=draft-jesske-update-p-visi
>>> ted-network-07>
>>> Of course comments are welcome.
>>> The main change to the RFC7976 is that P-Visited-Network-ID header
>>> field can appear in all responses except for 100 (Trying).
>>> As commented during the WGLC it was proposed to change the behaviour
>>> from UPDATE to an BIS draft.
>>> Since there are no objections from people could I get some advice
>>> from the SIPCORE chair if I can now create an sipcore RFC7976bis
>>> draft, to start the official procedure to go forward to an RFC or is
>>> there another procedure seen?
>>> Thank you and Best Regards
>>> Roland
>>> *Von:*Charles Eckel (eckelcu) <[email-masked]
>>> <mailto:[email-masked]>> *Gesendet:*Freitag, 3.November 2023 16:08
>>> *An:*Jesske, Roland <[email-masked]
>>> <mailto:[email-masked]>> *Cc:[email-masked]
>>> <mailto:[email-masked]>
>>> *Betreff:*Re: [sipcore] Working Group Last Call
>>> draft-jesske-update-p-visited-network-03.txt
>>> Hi Roland,
>>> Not hearing any objections, that seems a good way to proceed.
>>> Cheers,
>>> Charles
>>> 
>>> 
>>>    On Oct 24, 2023, at 9:03 AM,[email-masked]
>>>    <mailto:[email-masked]>wrote:
>>>    Hi Charles,
>>>    Thank you for binging this up.
>>>    It was the proposal to change then the naming to an rfc7976_bis
>>>    and I have provided an
>>>    Updatehttps://datatracker.ietf.org/doc/draft-jesske-update-p-visited-network/ <https://datatracker.ietf.org/doc/draft-jesske-update-p-visited-network/>in Summer to use the RFC7976 as baseline.
>>>    The proposal was discussed to change it to an rfc7976_bis and I
>>>    saw some agreement but not a final decision.
>>>    If people are happy with that approach then I recheck the draft
>>>    and could provide this draft as an bis draft.
>>>    Best Regards
>>>    Roland
>>>    *Von:*sipcore <[email-masked]
>>>    <mailto:[email-masked]>>*Im Auftrag von*Charles Eckel
>>>    (eckelcu)
>>>    *Gesendet:*Montag, 23.Oktober 2023 23:41
>>>    *An:[email-masked] <mailto:[email-masked]>
>>>    *Betreff:*Re: [sipcore] Working Group Last Call
>>>    draft-jesske-update-p-visited-network-03.txt
>>>    Apologies for reviving an old thread, but
>>>    draft-jesske-update-p-visited-network came up in our dependencies
>>>    discussion during the IETF-3GPP coordination call today [1] and I
>>>    wanted to check on next steps.
>>>    We are putting together the agenda for the IETF-3GPP coordination
>>>    meeting at IETF 118 and could allocate some time for a discussion
>>>    on this draft in that forum if it would be helpful.
>>>    Cheers,
>>>    Charles
>>>    [1] https://datatracker.ietf.org/iabasg/ietf3gpp/meetings/
>>>    <https://datatracker.ietf.org/iabasg/ietf3gpp/meetings/>
>>> 
>>> _______________________________________________
>>> sipcore mailing list
>>> [email-masked] <mailto:[email-masked]>
>>> https://www.ietf.org/mailman/listinfo/sipcore
>>> <https://www.ietf.org/mailman/listinfo/sipcore>
>> 
>> 
>> _______________________________________________
>> sipcore mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/sipcore
> 
> _______________________________________________
> sipcore mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sipcore